Bug 486349 - nfsclient.sh leaves temporary files /tmp/nfsclient-status-cache-$$
nfsclient.sh leaves temporary files /tmp/nfsclient-status-cache-$$
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager (Show other bugs)
5.3
All Linux
low Severity high
: rc
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-19 08:45 EST by Juanjo Villaplana
Modified: 2016-04-26 10:30 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 506152 (view as bug list)
Environment:
Last Closed: 2009-09-02 07:04:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed fix (839 bytes, patch)
2009-02-19 08:50 EST, Juanjo Villaplana
no flags Details | Diff

  None (edit)
Description Juanjo Villaplana 2009-02-19 08:45:56 EST
Description of problem:

Nodes running NFS services get /tmp filled of temporary nfsclient-status-cache-$$ files.


Version-Release number of selected component (if applicable):

rgmanager-2.0.46-1.el5


How reproducible:

Always


Steps to Reproduce:
1. Locate an NFS service on a cluster node
2. ls -lart /tmp

  
Actual results:

A file named /tmp/nfsclient-status-cache-$$ is created once per minute.


Expected results:

No temporary files left on /tmp.


Additional info:
Comment 1 Juanjo Villaplana 2009-02-19 08:50:38 EST
Created attachment 332557 [details]
Proposed fix

The right check to remove temporary files seems to be "$OCF_RESKEY_use_cache" instead of "OCF_RESKEY_service_name".
Comment 2 Lon Hohberger 2009-02-26 10:35:59 EST
http://git.fedorahosted.org/git/?p=resource-agents.git;a=commit;h=787c4e1893044a6a47473996cdb197d59c995445

Pushed to master; not pushed to RHEL5/STABLE2/STABLE3 yet.
Comment 6 Chris Ward 2009-07-03 14:25:13 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 8 errata-xmlrpc 2009-09-02 07:04:48 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1339.html
Comment 9 Wayne 2009-09-21 10:05:22 EDT
This bug is also present under RHEL 4 even with the latest RHEL 4 rgmanager  (rgmanager-1.9.87-1.el4). Can you please advise as to when an updated package for RHEL 4 will be available that fixes this annoying bug.
Comment 10 Perry Myers 2009-09-21 11:11:44 EDT
(In reply to comment #9)
> This bug is also present under RHEL 4 even with the latest RHEL 4 rgmanager 
> (rgmanager-1.9.87-1.el4). Can you please advise as to when an updated package
> for RHEL 4 will be available that fixes this annoying bug.  

Please see bug # 506152.  This bug should be fixed in the next release of RHEL4
Comment 11 Lon Hohberger 2009-09-21 12:56:18 EDT
Removing dependency.
Comment 12 Joseph 2010-06-07 12:37:34 EDT
I'm still seeing this issue on a RHEL4u8 server, that was patched about 30ish days ago.  My rgmanager version is:rgmanager-1.9.87-1.el4_8.1.  Are there any workarounds or patches available?
Comment 13 Perry Myers 2010-06-07 12:58:32 EDT
(In reply to comment #12)
> I'm still seeing this issue on a RHEL4u8 server, that was patched about 30ish
> days ago.  My rgmanager version is:rgmanager-1.9.87-1.el4_8.1.  Are there any
> workarounds or patches available?    

Please see comment #10 which links to bug # 572632

Note You need to log in before you can comment on or make changes to this bug.